% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dmplotGrid.R
\name{dmplotGrid}
\alias{dmplotGrid}
\title{Generate a data mechanics plot on a grid of row and column cluster numbers}
\usage{
dmplotGrid(
  obsdata,
  n_rowclusters = 1,
  n_colclusters = 1,
  hclust_method = "ward.D2",
  maxreps = 10,
  verbose = FALSE,
  showplots = FALSE,
  plot_title = "Data Mechanics Plot",
  export_plots = TRUE,
  imwidth = 10,
  imheight = 15,
  imres = 300,
  filename = "DatMechPlotOut",
  ...
)
}
\arguments{
\item{obsdata}{A data frame with observations on the row axis and features on the column axis. Where features differ in magnitude, users are advised to normalized by column.}

\item{n_rowclusters}{Vector containing a range or set of scalar values for the number of clusters used to partition row axis}

\item{n_colclusters}{Vector containing a range or set of scalar values for the number of clusters used to partition column axis}

\item{hclust_method}{Optional arguement. String indicating the clustering method used to creat hc tree. Default is Ward D2. See hclust for additional options.}

\item{maxreps}{Optional arguement. Maximum number of interations used to converge towards final clustering.}

\item{verbose}{Optional arguement. TRUE/FALSE. Should iteration results and column/row distance matrix be included in output list. Defualt is FALSE.}

\item{showplots}{Optional arguement. TRUE/FALSE. Should final plot for each combination of column and row cluster values be returned to screen. Default is FALSE.}

\item{plot_title}{Optional arguement. Title of data mechanics plot. Should final plot for each combination of column and row cluster values be}

\item{export_plots}{Optional arguement. TRUE/FALSE. Should final plot for each combination of column and row cluster values be  exported to jpg to current working directors. Default is TRUE}

\item{imwidth}{Optional arguement. Width of exported jpeg plot.}

\item{imheight}{Optional arguement. Height of exprted jpeg plot.}

\item{imres}{Optional arguement. Resolution of exported jpeg.}

\item{filename}{Optional arguement. File path and name of data mechanics plots exported to jpeg.}

\item{...}{Aditional plotting options passed directly to pheatmap.}
}
\value{
Returns a named list containing output for each data mechanic optimization performed on the grid of metaparameters, indexed by row and column numbers. See \code{dmplot} for details of elements in list of output provided by each data mechanics optimization.
}
\description{
\code{dmplotGrid} generates data mechanics plots for each combination of row and column cluster numbers provided in ranges by the user.
}
